Magick++: Magick::Options Class Reference

Magick++ 7.0.10

Public Member Functions | List of all members
Magick::Options Class Reference

`#include <Options.h>`

## Public Member Functions
| Options (void)
| Options (const Options &options_)
| ~Options ()
void | adjoin (const bool flag_)
bool | adjoin (void) const
void | matteColor (const Color &matteColor_)
Color | matteColor (void) const
void | backgroundColor (const Color &color_)
Color | backgroundColor (void) const
void | backgroundTexture (const std::string &backgroundTexture_)
std::string | backgroundTexture (void) const
void | borderColor (const Color &color_)
Color | borderColor (void) const
void | boxColor (const Color &boxColor_)
Color | boxColor (void) const
void | colorFuzz (const double fuzz_)
double | colorFuzz (void) const
void | colorspaceType (const ColorspaceType colorspace_)
ColorspaceType | colorspaceType (void) const
void | compressType (const CompressionType compressType_)
CompressionType | compressType (void) const
void | debug (const bool flag_)
bool | debug (void) const
void | density (const Point &density_)
Point | density (void) const
void | depth (const size_t depth_)
size_t | depth (void) const
void | endian (const EndianType endian_)
EndianType | endian (void) const
void | file (FILE *file_)
FILE * | file (void) const
void | fileName (const std::string &fileName_)
std::string | fileName (void) const
void | fillColor (const Color &fillColor_)
Color | fillColor (void) const
void | fillPattern (const MagickCore::Image *fillPattern_)
const MagickCore::Image * | fillPattern (void) const
void | fillRule (const FillRule &fillRule_)
FillRule | fillRule (void) const
void | font (const std::string &font_)
std::string | font (void) const
void | fontFamily (const std::string &family_)
std::string | fontFamily (void) const
void | fontPointsize (const double pointSize_)
double | fontPointsize (void) const
void | fontStyle (const StyleType style_)
StyleType | fontStyle (void) const
void | fontWeight (const size_t weight_)
size_t | fontWeight (void) const
std::string | format (void) const
void | interlaceType (const InterlaceType interlace_)
InterlaceType | interlaceType (void) const
void | magick (const std::string &magick_)
std::string | magick (void) const
void | monochrome (const bool monochromeFlag_)
bool | monochrome (void) const
void | page (const Geometry &pageSize_)
Geometry | page (void) const
void | quality (const size_t quality_)
size_t | quality (void) const
void | quantizeColors (const size_t colors_)
size_t | quantizeColors (void) const
void | quantizeColorSpace (const ColorspaceType colorSpace_)
ColorspaceType | quantizeColorSpace (void) const
void | quantizeDither (const bool ditherFlag_)
bool | quantizeDither (void) const
void | quantizeDitherMethod (const DitherMethod ditherMethod_)
DitherMethod | quantizeDitherMethod (void) const
void | quantizeTreeDepth (const size_t treeDepth_)
size_t | quantizeTreeDepth (void) const
void | quiet (const bool quiet_)
bool | quiet (void) const
void | resolutionUnits (const ResolutionType resolutionUnits_)
ResolutionType | resolutionUnits (void) const
void | samplingFactor (const std::string &samplingFactor_)
std::string | samplingFactor (void) const
void | size (const Geometry &geometry_)
Geometry | size (void) const
void | strokeAntiAlias (const bool flag_)
bool | strokeAntiAlias (void) const
void | strokeColor (const Color &strokeColor_)
Color | strokeColor (void) const
void | strokeDashArray (const double *strokeDashArray_)
const double * | strokeDashArray (void) const
void | strokeDashOffset (const double strokeDashOffset_)
double | strokeDashOffset (void) const
void | strokeLineCap (const LineCap lineCap_)
LineCap | strokeLineCap (void) const
void | strokeLineJoin (const LineJoin lineJoin_)
LineJoin | strokeLineJoin (void) const
void | strokeMiterLimit (const size_t miterLimit_)
size_t | strokeMiterLimit (void) const
void | strokePattern (const MagickCore::Image *strokePattern_)
const MagickCore::Image * | strokePattern (void) const
void | strokeWidth (const double strokeWidth_)
double | strokeWidth (void) const
void | subImage (const size_t subImage_)
size_t | subImage (void) const
void | subRange (const size_t subRange_)
size_t | subRange (void) const
void | textAntiAlias (const bool flag_)
bool | textAntiAlias (void) const
void | textDirection (const DirectionType direction_)
DirectionType | textDirection () const
void | textEncoding (const std::string &encoding_)
std::string | textEncoding (void) const
void | textGravity (const GravityType gravity_)
GravityType | textGravity () const
void | textInterlineSpacing (const double spacing_)
double | textInterlineSpacing (void) const
void | textInterwordSpacing (const double spacing_)
double | textInterwordSpacing (void) const
void | textKerning (const double kerning_)
double | textKerning (void) const
void | textUnderColor (const Color &underColor_)
Color | textUnderColor (void) const
void | transformOrigin (const double tx_, const double ty_)
void | transformReset (void)
void | transformRotation (const double angle_)
void | transformScale (const double sx_, const double sy_)
void | transformSkewX (const double skewx_)
void | transformSkewY (const double skewy_)
void | type (const ImageType type_)
ImageType | type (void) const
void | verbose (const bool verboseFlag_)
bool | verbose (void) const
void | x11Display (const std::string &display_)
std::string | x11Display (void) const
MagickCore::DrawInfo * | drawInfo (void)
MagickCore::ImageInfo * | imageInfo (void)
MagickCore::QuantizeInfo * | quantizeInfo (void)
| Options (const MagickCore::ImageInfo *imageInfo_, const MagickCore::QuantizeInfo *quantizeInfo_, const MagickCore::DrawInfo *drawInfo_)

## Detailed Description

Definition at line 28 of file Options.h.

## Constructor & Destructor Documentation

## ◆ Options() [1/3]

Magick::Options::Options | ( | void |  | ) |

Definition at line 27 of file Options.cpp.

## ◆ Options() [2/3]

Magick::Options::Options | ( | const Options & | options_ | ) |

Definition at line 45 of file Options.cpp.

## ◆ ~Options()

Magick::Options::~Options | ( |  | ) |

Definition at line 53 of file Options.cpp.

## ◆ Options() [3/3]

Magick::Options::Options | ( | const MagickCore::ImageInfo * | imageInfo_,
|  | const MagickCore::QuantizeInfo * | quantizeInfo_,
|  | const MagickCore::DrawInfo * | drawInfo_
| ) |  |

Definition at line 958 of file Options.cpp.

## Member Function Documentation

## ◆ adjoin() [1/2]

void Magick::Options::adjoin | ( | const bool | flag_ | ) |

Definition at line 65 of file Options.cpp.

## ◆ adjoin() [2/2]

bool Magick::Options::adjoin | ( | void |  | ) | const

Definition at line 71 of file Options.cpp.

## ◆ backgroundColor() [1/2]

void Magick::Options::backgroundColor | ( | const Color & | color_ | ) |

Definition at line 86 of file Options.cpp.

## ◆ backgroundColor() [2/2]

Magick::Color Magick::Options::backgroundColor | ( | void |  | ) | const

Definition at line 91 of file Options.cpp.

References Magick::Color.

## ◆ backgroundTexture() [1/2]

void Magick::Options::backgroundTexture | ( | const std::string & | backgroundTexture_ | ) |

Definition at line 96 of file Options.cpp.

References Magick::CloneString().

## ◆ backgroundTexture() [2/2]

std::string Magick::Options::backgroundTexture | ( | void |  | ) | const

Definition at line 104 of file Options.cpp.

## ◆ borderColor() [1/2]

void Magick::Options::borderColor | ( | const Color & | color_ | ) |

Definition at line 112 of file Options.cpp.

## ◆ borderColor() [2/2]

Magick::Color Magick::Options::borderColor | ( | void |  | ) | const

Definition at line 118 of file Options.cpp.

References Magick::Color.

## ◆ boxColor() [1/2]

void Magick::Options::boxColor | ( | const Color & | boxColor_ | ) |

Definition at line 123 of file Options.cpp.

## ◆ boxColor() [2/2]

Magick::Color Magick::Options::boxColor | ( | void |  | ) | const

Definition at line 128 of file Options.cpp.

References Magick::Color.

## ◆ colorFuzz() [1/2]

void Magick::Options::colorFuzz | ( | const double | fuzz_ | ) |

Definition at line 153 of file Options.cpp.

## ◆ colorFuzz() [2/2]

double Magick::Options::colorFuzz | ( | void |  | ) | const

Definition at line 158 of file Options.cpp.

## ◆ colorspaceType() [1/2]

void Magick::Options::colorspaceType | ( | const ColorspaceType | colorspace_ | ) |

Definition at line 133 of file Options.cpp.

## ◆ colorspaceType() [2/2]

Magick::ColorspaceType Magick::Options::colorspaceType | ( | void |  | ) | const

Definition at line 138 of file Options.cpp.

## ◆ compressType() [1/2]

void Magick::Options::compressType | ( | const CompressionType | compressType_ | ) |

Definition at line 143 of file Options.cpp.

## ◆ compressType() [2/2]

Magick::CompressionType Magick::Options::compressType | ( | void |  | ) | const

Definition at line 148 of file Options.cpp.

## ◆ debug() [1/2]

void Magick::Options::debug | ( | const bool | flag_ | ) |

Definition at line 163 of file Options.cpp.

## ◆ debug() [2/2]

bool Magick::Options::debug | ( | void |  | ) | const

Definition at line 171 of file Options.cpp.

## ◆ density() [1/2]

void Magick::Options::density | ( | const Point & | density_ | ) |

Definition at line 178 of file Options.cpp.

References Magick::CloneString(), and Magick::Point::isValid().

## ◆ density() [2/2]

Magick::Point Magick::Options::density | ( | void |  | ) | const

Definition at line 186 of file Options.cpp.

References Magick::Point.

## ◆ depth() [1/2]

void Magick::Options::depth | ( | const size_t | depth_ | ) |

Definition at line 194 of file Options.cpp.

## ◆ depth() [2/2]

size_t Magick::Options::depth | ( | void |  | ) | const

Definition at line 199 of file Options.cpp.

## ◆ drawInfo()

MagickCore::DrawInfo * Magick::Options::drawInfo | ( | void |  | ) |

Definition at line 943 of file Options.cpp.

## ◆ endian() [1/2]

void Magick::Options::endian | ( | const EndianType | endian_ | ) |

Definition at line 204 of file Options.cpp.

## ◆ endian() [2/2]

Magick::EndianType Magick::Options::endian | ( | void |  | ) | const

Definition at line 209 of file Options.cpp.

## ◆ file() [1/2]

void Magick::Options::file | ( | FILE * | file_ | ) |

Definition at line 214 of file Options.cpp.

## ◆ file() [2/2]

FILE * Magick::Options::file | ( | void |  | ) | const

Definition at line 219 of file Options.cpp.

## ◆ fileName() [1/2]

void Magick::Options::fileName | ( | const std::string & | fileName_ | ) |

Definition at line 224 of file Options.cpp.

## ◆ fileName() [2/2]

std::string Magick::Options::fileName | ( | void |  | ) | const

Definition at line 237 of file Options.cpp.

## ◆ fillColor() [1/2]

void Magick::Options::fillColor | ( | const Color & | fillColor_ | ) |

Definition at line 242 of file Options.cpp.

References Magick::Color, and Magick::Image.

## ◆ fillColor() [2/2]

Magick::Color Magick::Options::fillColor | ( | void |  | ) | const

Definition at line 250 of file Options.cpp.

## ◆ fillPattern() [1/2]

void Magick::Options::fillPattern | ( | const MagickCore::Image * | fillPattern_ | ) |

Definition at line 255 of file Options.cpp.

References GetPPException, and ThrowPPException.

## ◆ fillPattern() [2/2]

const MagickCore::Image * Magick::Options::fillPattern | ( | void |  | ) | const

Definition at line 270 of file Options.cpp.

## ◆ fillRule() [1/2]

void Magick::Options::fillRule | ( | const FillRule & | fillRule_ | ) |

Definition at line 275 of file Options.cpp.

## ◆ fillRule() [2/2]

Magick::FillRule Magick::Options::fillRule | ( | void |  | ) | const

Definition at line 280 of file Options.cpp.

## ◆ font() [1/2]

void Magick::Options::font | ( | const std::string & | font_ | ) |

Definition at line 285 of file Options.cpp.

References Magick::CloneString().

## ◆ font() [2/2]

std::string Magick::Options::font | ( | void |  | ) | const

Definition at line 299 of file Options.cpp.

## ◆ fontFamily() [1/2]

void Magick::Options::fontFamily | ( | const std::string & | family_ | ) |

Definition at line 307 of file Options.cpp.

References Magick::CloneString().

## ◆ fontFamily() [2/2]

std::string Magick::Options::fontFamily | ( | void |  | ) | const

Definition at line 321 of file Options.cpp.

## ◆ fontPointsize() [1/2]

void Magick::Options::fontPointsize | ( | const double | pointSize_ | ) |

Definition at line 329 of file Options.cpp.

## ◆ fontPointsize() [2/2]

double Magick::Options::fontPointsize | ( | void |  | ) | const

Definition at line 335 of file Options.cpp.

## ◆ fontStyle() [1/2]

void Magick::Options::fontStyle | ( | const StyleType | style_ | ) |

Definition at line 340 of file Options.cpp.

## ◆ fontStyle() [2/2]

Magick::StyleType Magick::Options::fontStyle | ( | void |  | ) | const

Definition at line 347 of file Options.cpp.

## ◆ fontWeight() [1/2]

void Magick::Options::fontWeight | ( | const size_t | weight_ | ) |

Definition at line 352 of file Options.cpp.

## ◆ fontWeight() [2/2]

size_t Magick::Options::fontWeight | ( | void |  | ) | const

Definition at line 358 of file Options.cpp.

## ◆ format()

std::string Magick::Options::format | ( | void |  | ) | const

Definition at line 363 of file Options.cpp.

References GetPPException, and ThrowPPException.

## ◆ imageInfo()

MagickCore::ImageInfo * Magick::Options::imageInfo | ( | void |  | ) |

Definition at line 948 of file Options.cpp.

Referenced by Magick::ImageRef::ImageRef().

## ◆ interlaceType() [1/2]

void Magick::Options::interlaceType | ( | const InterlaceType | interlace_ | ) |

Definition at line 379 of file Options.cpp.

## ◆ interlaceType() [2/2]

Magick::InterlaceType Magick::Options::interlaceType | ( | void |  | ) | const

Definition at line 384 of file Options.cpp.

## ◆ magick() [1/2]

void Magick::Options::magick | ( | const std::string & | magick_ | ) |

Definition at line 389 of file Options.cpp.

References GetPPException, Magick::throwExceptionExplicit(), and ThrowPPException.

## ◆ magick() [2/2]

std::string Magick::Options::magick | ( | void |  | ) | const

Definition at line 407 of file Options.cpp.

## ◆ matteColor() [1/2]

void Magick::Options::matteColor | ( | const Color & | matteColor_ | ) |

Definition at line 76 of file Options.cpp.

## ◆ matteColor() [2/2]

Magick::Color Magick::Options::matteColor | ( | void |  | ) | const

Definition at line 81 of file Options.cpp.

## ◆ monochrome() [1/2]

void Magick::Options::monochrome | ( | const bool | monochromeFlag_ | ) |

Definition at line 415 of file Options.cpp.

## ◆ monochrome() [2/2]

bool Magick::Options::monochrome | ( | void |  | ) | const

Definition at line 420 of file Options.cpp.

## ◆ page() [1/2]

void Magick::Options::page | ( | const Geometry & | pageSize_ | ) |

Definition at line 425 of file Options.cpp.

References Magick::CloneString(), and Magick::Geometry::isValid().

## ◆ page() [2/2]

Magick::Geometry Magick::Options::page | ( | void |  | ) | const

Definition at line 433 of file Options.cpp.

References Magick::Geometry.

## ◆ quality() [1/2]

void Magick::Options::quality | ( | const size_t | quality_ | ) |

Definition at line 441 of file Options.cpp.

## ◆ quality() [2/2]

size_t Magick::Options::quality | ( | void |  | ) | const

Definition at line 446 of file Options.cpp.

## ◆ quantizeColors() [1/2]

void Magick::Options::quantizeColors | ( | const size_t | colors_ | ) |

Definition at line 451 of file Options.cpp.

## ◆ quantizeColors() [2/2]

size_t Magick::Options::quantizeColors | ( | void |  | ) | const

Definition at line 456 of file Options.cpp.

## ◆ quantizeColorSpace() [1/2]

void Magick::Options::quantizeColorSpace | ( | const ColorspaceType | colorSpace_ | ) |

Definition at line 461 of file Options.cpp.

## ◆ quantizeColorSpace() [2/2]

Magick::ColorspaceType Magick::Options::quantizeColorSpace | ( | void |  | ) | const

Definition at line 466 of file Options.cpp.

## ◆ quantizeDither() [1/2]

void Magick::Options::quantizeDither | ( | const bool | ditherFlag_ | ) |

Definition at line 471 of file Options.cpp.

## ◆ quantizeDither() [2/2]

bool Magick::Options::quantizeDither | ( | void |  | ) | const

Definition at line 478 of file Options.cpp.

## ◆ quantizeDitherMethod() [1/2]

void Magick::Options::quantizeDitherMethod | ( | const DitherMethod | ditherMethod_ | ) |

Definition at line 483 of file Options.cpp.

## ◆ quantizeDitherMethod() [2/2]

MagickCore::DitherMethod Magick::Options::quantizeDitherMethod | ( | void |  | ) | const

Definition at line 488 of file Options.cpp.

## ◆ quantizeInfo()

MagickCore::QuantizeInfo * Magick::Options::quantizeInfo | ( | void |  | ) |

Definition at line 953 of file Options.cpp.

## ◆ quantizeTreeDepth() [1/2]

void Magick::Options::quantizeTreeDepth | ( | const size_t | treeDepth_ | ) |

Definition at line 493 of file Options.cpp.

## ◆ quantizeTreeDepth() [2/2]

size_t Magick::Options::quantizeTreeDepth | ( | void |  | ) | const

Definition at line 498 of file Options.cpp.

## ◆ quiet() [1/2]

void Magick::Options::quiet | ( | const bool | quiet_ | ) |

Definition at line 503 of file Options.cpp.

## ◆ quiet() [2/2]

bool Magick::Options::quiet | ( | void |  | ) | const

Definition at line 508 of file Options.cpp.

## ◆ resolutionUnits() [1/2]

void Magick::Options::resolutionUnits | ( | const ResolutionType | resolutionUnits_ | ) |

Definition at line 513 of file Options.cpp.

## ◆ resolutionUnits() [2/2]

Magick::ResolutionType Magick::Options::resolutionUnits | ( | void |  | ) | const

Definition at line 518 of file Options.cpp.

## ◆ samplingFactor() [1/2]

void Magick::Options::samplingFactor | ( | const std::string & | samplingFactor_ | ) |

Definition at line 523 of file Options.cpp.

References Magick::CloneString().

## ◆ samplingFactor() [2/2]

std::string Magick::Options::samplingFactor | ( | void |  | ) | const

Definition at line 532 of file Options.cpp.

## ◆ size() [1/2]

void Magick::Options::size | ( | const Geometry & | geometry_ | ) |

Definition at line 540 of file Options.cpp.

References Magick::CloneString(), and Magick::Geometry::isValid().

## ◆ size() [2/2]

Magick::Geometry Magick::Options::size | ( | void |  | ) | const

Definition at line 548 of file Options.cpp.

References Magick::Geometry.

## ◆ strokeAntiAlias() [1/2]

void Magick::Options::strokeAntiAlias | ( | const bool | flag_ | ) |

Definition at line 556 of file Options.cpp.

## ◆ strokeAntiAlias() [2/2]

bool Magick::Options::strokeAntiAlias | ( | void |  | ) | const

Definition at line 562 of file Options.cpp.

## ◆ strokeColor() [1/2]

void Magick::Options::strokeColor | ( | const Color & | strokeColor_ | ) |

Definition at line 567 of file Options.cpp.

References Magick::Color, and Magick::Image.

## ◆ strokeColor() [2/2]

Magick::Color Magick::Options::strokeColor | ( | void |  | ) | const

Definition at line 575 of file Options.cpp.

## ◆ strokeDashArray() [1/2]

void Magick::Options::strokeDashArray | ( | const double * | strokeDashArray_ | ) |

Definition at line 580 of file Options.cpp.

References Magick::throwExceptionExplicit().

## ◆ strokeDashArray() [2/2]

const double * Magick::Options::strokeDashArray | ( | void |  | ) | const

Definition at line 603 of file Options.cpp.

## ◆ strokeDashOffset() [1/2]

void Magick::Options::strokeDashOffset | ( | const double | strokeDashOffset_ | ) |

Definition at line 608 of file Options.cpp.

## ◆ strokeDashOffset() [2/2]

double Magick::Options::strokeDashOffset | ( | void |  | ) | const

Definition at line 613 of file Options.cpp.

## ◆ strokeLineCap() [1/2]

void Magick::Options::strokeLineCap | ( | const LineCap | lineCap_ | ) |

Definition at line 618 of file Options.cpp.

## ◆ strokeLineCap() [2/2]

Magick::LineCap Magick::Options::strokeLineCap | ( | void |  | ) | const

Definition at line 623 of file Options.cpp.

## ◆ strokeLineJoin() [1/2]

void Magick::Options::strokeLineJoin | ( | const LineJoin | lineJoin_ | ) |

Definition at line 628 of file Options.cpp.

## ◆ strokeLineJoin() [2/2]

Magick::LineJoin Magick::Options::strokeLineJoin | ( | void |  | ) | const

Definition at line 633 of file Options.cpp.

## ◆ strokeMiterLimit() [1/2]

void Magick::Options::strokeMiterLimit | ( | const size_t | miterLimit_ | ) |

Definition at line 638 of file Options.cpp.

## ◆ strokeMiterLimit() [2/2]

size_t Magick::Options::strokeMiterLimit | ( | void |  | ) | const

Definition at line 643 of file Options.cpp.

## ◆ strokePattern() [1/2]

void Magick::Options::strokePattern | ( | const MagickCore::Image * | strokePattern_ | ) |

Definition at line 648 of file Options.cpp.

References GetPPException, and ThrowPPException.

## ◆ strokePattern() [2/2]

const MagickCore::Image * Magick::Options::strokePattern | ( | void |  | ) | const

Definition at line 662 of file Options.cpp.

## ◆ strokeWidth() [1/2]

void Magick::Options::strokeWidth | ( | const double | strokeWidth_ | ) |

Definition at line 667 of file Options.cpp.

## ◆ strokeWidth() [2/2]

double Magick::Options::strokeWidth | ( | void |  | ) | const

Definition at line 673 of file Options.cpp.

## ◆ subImage() [1/2]

void Magick::Options::subImage | ( | const size_t | subImage_ | ) |

Definition at line 678 of file Options.cpp.

## ◆ subImage() [2/2]

size_t Magick::Options::subImage | ( | void |  | ) | const

Definition at line 683 of file Options.cpp.

## ◆ subRange() [1/2]

void Magick::Options::subRange | ( | const size_t | subRange_ | ) |

Definition at line 688 of file Options.cpp.

## ◆ subRange() [2/2]

size_t Magick::Options::subRange | ( | void |  | ) | const

Definition at line 693 of file Options.cpp.

## ◆ textAntiAlias() [1/2]

void Magick::Options::textAntiAlias | ( | const bool | flag_ | ) |

Definition at line 698 of file Options.cpp.

## ◆ textAntiAlias() [2/2]

bool Magick::Options::textAntiAlias | ( | void |  | ) | const

Definition at line 704 of file Options.cpp.

## ◆ textDirection() [1/2]

void Magick::Options::textDirection | ( | const DirectionType | direction_ | ) |

Definition at line 709 of file Options.cpp.

## ◆ textDirection() [2/2]

Magick::DirectionType Magick::Options::textDirection | ( | void |  | ) | const

Definition at line 716 of file Options.cpp.

## ◆ textEncoding() [1/2]

void Magick::Options::textEncoding | ( | const std::string & | encoding_ | ) |

Definition at line 721 of file Options.cpp.

References Magick::CloneString().

## ◆ textEncoding() [2/2]

std::string Magick::Options::textEncoding | ( | void |  | ) | const

Definition at line 727 of file Options.cpp.

## ◆ textGravity() [1/2]

void Magick::Options::textGravity | ( | const GravityType | gravity_ | ) |

Definition at line 735 of file Options.cpp.

## ◆ textGravity() [2/2]

Magick::GravityType Magick::Options::textGravity | ( | void |  | ) | const

Definition at line 742 of file Options.cpp.

## ◆ textInterlineSpacing() [1/2]

void Magick::Options::textInterlineSpacing | ( | const double | spacing_ | ) |

Definition at line 747 of file Options.cpp.

## ◆ textInterlineSpacing() [2/2]

double Magick::Options::textInterlineSpacing | ( | void |  | ) | const

Definition at line 753 of file Options.cpp.

## ◆ textInterwordSpacing() [1/2]

void Magick::Options::textInterwordSpacing | ( | const double | spacing_ | ) |

Definition at line 758 of file Options.cpp.

## ◆ textInterwordSpacing() [2/2]

double Magick::Options::textInterwordSpacing | ( | void |  | ) | const

Definition at line 764 of file Options.cpp.

## ◆ textKerning() [1/2]

void Magick::Options::textKerning | ( | const double | kerning_ | ) |

Definition at line 769 of file Options.cpp.

## ◆ textKerning() [2/2]

double Magick::Options::textKerning | ( | void |  | ) | const

Definition at line 775 of file Options.cpp.

## ◆ textUnderColor() [1/2]

void Magick::Options::textUnderColor | ( | const Color & | underColor_ | ) |

Definition at line 780 of file Options.cpp.

## ◆ textUnderColor() [2/2]

Magick::Color Magick::Options::textUnderColor | ( | void |  | ) | const

Definition at line 786 of file Options.cpp.

## ◆ transformOrigin()

void Magick::Options::transformOrigin | ( | const double | tx_,
|  | const double | ty_
| ) |  |

Definition at line 791 of file Options.cpp.

## ◆ transformReset()

void Magick::Options::transformReset | ( | void |  | ) |

Definition at line 812 of file Options.cpp.

## ◆ transformRotation()

void Magick::Options::transformRotation | ( | const double | angle_ | ) |

Definition at line 822 of file Options.cpp.

References DegreesToRadians.

## ◆ transformScale()

void Magick::Options::transformScale | ( | const double | sx_,
|  | const double | sy_
| ) |  |

Definition at line 843 of file Options.cpp.

## ◆ transformSkewX()

void Magick::Options::transformSkewX | ( | const double | skewx_ | ) |

Definition at line 864 of file Options.cpp.

References DegreesToRadians.

## ◆ transformSkewY()

void Magick::Options::transformSkewY | ( | const double | skewy_ | ) |

Definition at line 885 of file Options.cpp.

References DegreesToRadians.

## ◆ type() [1/2]

void Magick::Options::type | ( | const ImageType | type_ | ) |

Definition at line 906 of file Options.cpp.

## ◆ type() [2/2]

Magick::ImageType Magick::Options::type | ( | void |  | ) | const

Definition at line 911 of file Options.cpp.

## ◆ verbose() [1/2]

void Magick::Options::verbose | ( | const bool | verboseFlag_ | ) |

Definition at line 916 of file Options.cpp.

## ◆ verbose() [2/2]

bool Magick::Options::verbose | ( | void |  | ) | const

Definition at line 921 of file Options.cpp.

## ◆ x11Display() [1/2]

void Magick::Options::x11Display | ( | const std::string & | display_ | ) |

Definition at line 926 of file Options.cpp.

References Magick::CloneString().

## ◆ x11Display() [2/2]

std::string Magick::Options::x11Display | ( | void |  | ) | const

Definition at line 935 of file Options.cpp.

The documentation for this class was generated from the following files:

- Options.h
- Options.cpp